# Uses of Class
org.eclipse.birt.core.archive.RAOutputStream

Packages that use RAOutputStream
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound

## Uses of RAOutputStream in org.eclipse.birt.core.archive

Subclasses of RAOutputStream in org.eclipse.birt.core.archive
Modifier and Type
Class
Description
`class`
`RAFileOutputStream`
This class is to be used by engine host (viewer), but not engine.
`class`
`RAFolderOutputStream`
RAOutputStream implementation for folder based report archive
Methods in org.eclipse.birt.core.archive that return RAOutputStream
Modifier and Type
Method
Description
`RAOutputStream`
FolderArchive.`createOutputStream(String relativePath)`
`RAOutputStream`
FolderArchiveWriter.`createOutputStream(String relativePath)`
`RAOutputStream`
IDocArchiveWriter.`createOutputStream(String relativePath)`
`RAOutputStream`
FolderArchive.`createRandomAccessStream(String relativePath)`
`RAOutputStream`
FolderArchiveWriter.`createRandomAccessStream(String relativePath)`
`RAOutputStream`
IDocArchiveWriter.`createRandomAccessStream(String relativePath)`
Create a random access stream in the archive and return it.
`RAOutputStream`
FolderArchive.`getOutputStream(String relativePath)`
`RAOutputStream`
FolderArchiveWriter.`getOutputStream(String relativePath)`
`RAOutputStream`
IDocArchiveWriter.`getOutputStream(String relativePath)`
`RAOutputStream`
FolderArchive.`openRandomAccessStream(String relativePath)`
`RAOutputStream`
FolderArchiveWriter.`openRandomAccessStream(String relativePath)`
`RAOutputStream`
IDocArchiveWriter.`openRandomAccessStream(String relativePath)`

## Uses of RAOutputStream in org.eclipse.birt.core.archive.compound

Subclasses of RAOutputStream in org.eclipse.birt.core.archive.compound
Modifier and Type
Class
Description
`class`
`ArchiveEntryOutputStream`
An OutputStream wraper for RandomAccessStreamImpl.
Fields in org.eclipse.birt.core.archive.compound declared as RAOutputStream
Modifier and Type
Field
Description
`protected RAOutputStream`
ArchiveEntry.`output`
Methods in org.eclipse.birt.core.archive.compound that return RAOutputStream
Modifier and Type
Method
Description
`RAOutputStream`
ArchiveWriter.`createOutputStream(String relativePath)`
`RAOutputStream`
ArchiveWriter.`createRandomAccessStream(String relativePath)`
`RAOutputStream`
ArchiveWriter.`getOutputStream(String relativePath)`
`RAOutputStream`
ArchiveWriter.`openRandomAccessStream(String relativePath)`
Methods in org.eclipse.birt.core.archive.compound with parameters of type RAOutputStream
Modifier and Type
Method
Description
`protected void`
ArchiveEntry.`setOutputStream(RAOutputStream output)`
`protected void`
ArchiveEntryAdapter.`setOutputStream(RAOutputStream output)`